{{- define "libdjango.flower-service.tpl"}}
apiVersion: v1
kind: Service
metadata:
  name: "{{ .Release.Name }}-flower"
  labels:
    {{- include "libdjango.labels" . | nindent 4 }}
spec:
  type: {{ .Values.flower.service.type }}
  ports:
    - port: {{ .Values.flower.service.port }}
      targetPort: flower
      protocol: TCP
      name: flower
  selector:
    {{- include "libdjango.labels" . | nindent 4 }}
    app.kubernetes.io/component: flower
  {{- end -}}
{{- define "libdjango.flower-service" -}}
{{- include "libdjango.merge" (append . "libdjango.flower-service.tpl") -}}
{{- end -}}
